// --------------------------------------------------------------------------------------------------------------------
// <copyright file="MissingOptionException.cs" company="Matthias Friedrich">
//   Copyright  Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace CommandlineHandling
{
    using System;
    using System.Runtime.Serialization;

    [Serializable]
    public class MissingOptionException : Exception
    {
        public MissingOptionException()
        {
        }

        public MissingOptionException(string message)
            : base(message)
        {
        }

        public MissingOptionException(string message, Exception inner)
            : base(message, inner)
        {
        }

        protected MissingOptionException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}