﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ProvideCommandLineOptionAttribute.cs" company="Matthias Friedrich">
//   Copyright © Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace CommandlineHandling
{
    using System;

    [AttributeUsage(AttributeTargets.Assembly, Inherited = false, AllowMultiple = true)]
    public sealed class ProvideCommandLineOptionAttribute : Attribute
    {
        public ProvideCommandLineOptionAttribute()
        {
        }

        public Type ArgumentType { get; set; }

        public string Name { get; set; }
    }
}