﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Options.cs" company="Matthias Friedrich">
//   Copyright © Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace Sample3
{
    using CommandlineHandling;

    internal class Options : Option
    {
        public Options()
        {
            this.Execute += (caller, arg) =>
                {
                    var input = arg.Find<InputOption>();
                    while (input != null)
                    {
                        input = input.Find<InputOption>();
                    }

                    return null;
                };
        }
    }
}