﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ConnectionInfo.cs" company="Matthias Friedrich">
//   Copyright © Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace Sample4
{
    using CommandlineHandling;

    [Option("connection")]
    internal class ConnectionInfo
    {
        [OptionParameter("catalog")]
        public string Catalog { get; set; }

        [OptionParameter("server", Required = true)]
        public string Server { get; set; }

        [OptionParameter("sspi")]
        public bool UseIntegratedSecurity { get; set; }
    }
}