﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Program.cs" company="Matthias Friedrich">
//   Copyright © Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace Sample4
{
    using System.Linq;

    using CommandlineHandling;

    internal class Program
    {
        // 	sample4.exe /connection -server:"local" -catalog:"master" -sspi:true
        private static void Main(string[] args)
        {
            var handler = new CommandLineHandler();

            ICommandLineOption arg = handler.Parse(args).FindByName("connection").First();

            var connectionInfo = new ConnectionInfo();

            handler.Mapper.MapObject(arg, connectionInfo);
        }
    }
}