﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleOption.cs" company="Matthias Friedrich">
//   Copyright © Matthias Friedrich 2013
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

namespace UnitySample
{
    using System;

    using CommandlineHandling;

    internal class SampleOption : Option
    {
        public SampleOption()
        {
            this.Execute += (caller, arg) =>
                {
                    var value = arg.GetValue<int>();
                    Console.WriteLine("Value of \"x\" is: {0}", value);
                    return null;
                };
        }

        public int Value
        {
            get { return this.GetValue<int>(); }
        }
    }
}